> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a work item type

> Updates an existing work item type by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="project_id" type="string" required>
  The unique identifier of the project.
</ParamField>

<ParamField path="type_id" type="string" required>
  The unique identifier for the work item type.
</ParamField>

## Body parameters

<ParamField body="name" type="string">
  Name of the work item type
</ParamField>

<ParamField body="description" type="string">
  Description of the work item type.
</ParamField>

<ParamField body="logo_props" type="object">
  Logo properties for the work item type.
</ParamField>

<ParamField body="is_epic" type="boolean">
  Whether this work item type is an epic.
</ParamField>

<ParamField body="is_default" type="boolean">
  Whether this is the default work item type.
</ParamField>

<ParamField body="is_active" type="boolean">
  Whether this work item type is active.
</ParamField>

<ParamField body="level" type="number">
  Hierarchical level of the work item type.
</ParamField>
